# application



# embedded server



# datasource
#弃用?
#spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com/ordermanger_pro?autoReconnect=true&amp;useUnicode=true&amp;characterEncoding=UTF-8&amp;zeroDateTimeBehavior=convertToNull&amp;tinyInt1isBit=false&amp;useSSL=false
#spring.datasource.username=ordermanger_pro
#spring.datasource.password=orderPro0227

#spring.datasource.url=jdbc:mysql://rm-wz920yrai5s2t95y1o.mysql.rds.aliyuncs.com/order_production?autoReconnect=true&amp;useUnicode=true&amp;characterEncoding=UTF-8&amp;zeroDateTimeBehavior=convertToNull&amp;tinyInt1isBit=false&amp;useSSL=false
#rds 外网地址 修正后的
#spring.datasource.url=jdbc:mysql://rm-wz920yrai5s2t95y1o.mysql.rds.aliyuncs.com/order_production?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#rds 内网地址 修正后的
spring.datasource.url=jdbc:mysql://rm-wz920yrai5s2t95y1.mysql.rds.aliyuncs.com/order_production?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
spring.datasource.username=avic_order
spring.datasource.password=sjE9hdjeIPJw6Mki


#spring-boot-starter-data-redis



# redis
spring.redis.host=127.0.0.1
spring.redis.port=6379
spring.redis.database=0
spring.redis.password=123.com.cn
spring.redis.timeout=60000ms

#SpringBoot 2.X版本整合 Redis时，偶尔出现连接超时情况 2.x 版本自带的Redis客户端是 lettuce
spring.redis.jedis.pool.minIdle=0
spring.redis.jedis.pool.maxIdle=8
spring.redis.jedis.pool.maxWait=-1
spring.redis.jedis.pool.maxActive=8


# mybatis & pagehelper

#mybatis.configuration.lazy-loading-enabled=true
#mybatis.configuration.use-generated-keys=true
#mybatis.configuration.default-executor-type=reuse
#mybatis.configuration.default-statement-timeout=30
#mybatis.configuration.map-underscore-to-camel-case=true
#mybatis.configuration.auto-mapping-behavior=full


# mybatis plugins


#弃用? start
# dubbo && zookeeper
#spring.dubbo.application.name=provider
#spring.dubbo.registry.address=zookeeper://127.0.0.1:2181
#spring.dubbo.protocol.name=dubbo
#spring.dubbo.protocol.port=20880
#spring.dubbo.provider.retries=0
#spring.dubbo.provider.timeout=10000
#弃用? start


# Dubbo Registry
#dubbo.registry.address=zookeeper://47.107.240.183:2181?backup=112.74.48.214:9092,120.79.80.138:9092
#dubbo.registry.address=zookeeper://127.0.0.1:2181
#正式 外网:39.108.55.24  对应内网;172.18.223.209
dubbo.registry.address=zookeeper://172.18.223.209:2181


# Dubbo Protocol
dubbo.application.name=provider
dubbo.protocol.name=dubbo
dubbo.protocol.port=20880
dubbo.provider.retries=0
dubbo.provider.timeout=30000





# push message url & h5 url
pushMessage.orgId=627
pushMessage.url=http://superdesk.avic-s.com/super_service/wechat/pushmsgout/phonemsg
h5.url=http://120.79.31.216/avicfile/ordermanger/h5/#/